#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "DetailsTabViewData.h"
#include "EventEntryPopupSkinUIData.h"
#include "EventEntryDetailsSubPresenter.generated.h"

class UEventEntryPresenter;

UCLASS(Blueprintable)
class UEventEntryDetailsSubPresenter : public USubPresenter
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	FDetailsTabViewData _viewData;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, Export, meta=(AllowPrivateAccess=true))
	UEventEntryPresenter* _parentPresenter;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	FEventEntryPopupSkinUIData _skinData;

public:
	UEventEntryDetailsSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UEventEntryDetailsSubPresenter) { return 0; }
